Bugzilla will be upgraded to version 5.0 on December 2, 2018. The outage period for the upgrade will start at 0:00 UTC and have a duration of 12 hours
Bug 594862 - Installer bombs with unhandled exception when attempting not to format an existing partition [NEEDINFO]
Installer bombs with unhandled exception when attempting not to format an exi...
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: anaconda (Show other bugs)
6.0
All Linux
low Severity medium
: rc
: ---
Assigned To: Anaconda Maintenance Team
Release Test Team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-21 15:50 EDT by john cooper
Modified: 2014-07-24 23:45 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-04 14:35:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
clumens: needinfo? (john.cooper)


Attachments (Terms of Use)

  None (edit)
Description john cooper 2010-05-21 15:50:07 EDT
Description of problem:

In trying to do a reinstall of rhel6 over an previous
install, attempting to avoid formatting the root
partition kills the install.  Note the partition
is fsck-clean and coherent.

Tried both creating a custom partitioning and choosing
a (default) reuse of discovered partitions with both
resulting in the same aborted installation if disabling
format of the root (lv_root) was attempted.

Version-Release number of selected component (if applicable):


How reproducible:

(as above)

Steps to Reproduce:
1. (as above)
2.
3.
  
Actual results:

Installer bombs with "unhandled exception".


Expected results:

Installation should proceed normally but preserve
filesystem content outside of the to-be installed file
content.


Additional info:
Comment 1 Chris Lumens 2010-05-21 15:51:34 EDT
Please attach the complete traceback to this bug report.
Comment 3 David Lehman 2010-05-21 18:51:50 EDT
Yes, I know we allow this, but that does not mean it is good practice to reinstall on top of an existing root filesystem. You should not expect things to work in any sense, really. I don't even think we should allow it. There are countless options available for managing your personal data in such a way as to allow reformat of the rootfs without losing your data.
Comment 4 RHEL Product and Program Management 2010-06-02 10:46:02 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.
Comment 5 RHEL Product and Program Management 2010-06-04 14:35:23 EDT
Development Management has reviewed and declined this request.  You may appeal
this decision by reopening this request.

Note You need to log in before you can comment on or make changes to this bug.